# AaveV3OpenRatioCheck

### Description

Action to check the ratio of the Aave V3 position after strategy execution.

> **Notes**
>
> This action only checks for current ratio, without comparing it to the start ratio
>
> 5% offset acceptable
>
> We are checking for 5% RATIO\_OFFSET only when the target ratio is < 999%
>
> If `targetRatio` is 999% or more then skip `RATIO_OFFSET` check because it is very hard to be precise under 5%.

### Action ID

`0x72b17abf`

### SDK Action

```ts
const aaveV3OpenRatioCheckAction = new dfs.actions.checkers.AaveV3OpenRatioCheckAction(
    targetRatio,
    market,
    user
);
```

### Action Type

`CHECK_ACTION`

### Input Parameters

```solidity
    /// @param targetRatio Target ratio.
    /// @param market Market address.
    /// @param user EOA or Smart Wallet address parameter that was added later in order to add support for EOA strategies.
    struct Params {
        uint256 targetRatio;
        address market;
        address user;
    }

```

### Return Value

```solidity
return bytes32(currRatio);
```

### Events and Logs

```solidity
emit ActionEvent("AaveV3OpenRatioCheck", logData);
bytes memory logData = abi.encode(currRatio);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/checkers/aavev3openratiocheck.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
